Bug 170391 - OpenOffice.org spell check broken in Update 2.
OpenOffice.org spell check broken in Update 2.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
: 170516 (view as bug list)
Depends On:
Blocks: 168429 171134
  Show dependency treegraph
Reported: 2005-10-11 06:10 EDT by Ronan Kirby
Modified: 2013-10-20 18:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2006-0011
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 11:50:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ronan Kirby 2005-10-11 06:10:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
During the upgrade from RHEL4 U1 to RHEL4 U2, Open Office was updated to version 1.1.2-28.6.0.

Since this update the spell check does not work. When you run the check on a document (F7), it offers you the correct spellings for words as expeted, but when you select the "replace" option, it just skips on to the next spelling mistake without correcting the document.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open a new document
2. Write some words including some spelling mistakes
3. Hit F7 to spell check the document
4. When correct spelling is suggested, click 'replace'

Actual Results:  It does not replace the incorrect spelling with the correct as suggested in the spell check window, and skips on to next mistake in document (if any).

Expected Results:  It should replace the incorrect spelling before moving on to the next mistake.

Additional info:
Comment 1 Caolan McNamara 2005-10-11 22:23:21 EDT
i can reproduce this.
Comment 2 Caolan McNamara 2005-10-12 10:51:47 EDT
*** Bug 170516 has been marked as a duplicate of this bug. ***
Comment 3 Caolan McNamara 2005-10-12 17:15:09 EDT
writer only
Comment 6 John England 2005-10-19 17:15:20 EDT
(In reply to comment #3)
> writer only

I can reproduce as well.  Is there a temp workaround, or do we have to go back
to version like 1.1.2-24.6?
Comment 8 Richard Monk 2005-10-25 10:56:57 EDT
This is pretty bad, all RHEL4 U2 installations are broken in this way.  Can we
have someone look at this quickly?
Comment 9 Caolan McNamara 2005-10-25 11:01:27 EDT
The bug is fixed and the package is built. What remains is to grind through the
errata process.
Comment 10 daryl herzmann 2005-10-25 11:12:35 EDT
Note that this bug applies on RHEL3 U6 as well.  I looked for a bug against
RHEL3 and didn't see one...

$ rpm -q openoffice.org
Comment 11 Caolan McNamara 2005-10-25 11:24:53 EDT
RHEL3 -> 171134
Comment 12 Caolan McNamara 2005-11-09 09:17:03 EST
Comment 14 Caolan McNamara 2006-01-17 05:10:17 EST
Comment 16 daryl herzmann 2006-03-06 19:43:51 EST
How many more months should we wait for a fix?  How can RedHat Linux be ready
for the desktop prime time when the most basic function (spell check in word
processor) has been broken for 5 months?
Comment 17 Red Hat Bugzilla 2006-03-07 11:50:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.